#### D.13.7.7 tropicalVarietyNewton

Procedure from library `tropicalNewton.lib` (see tropicalNewton_lib).

Usage:
  tropicalVarietyNewton(I); I ideal

Return:
  matrix, a matrix containing all elements of the tropical variety

Assume:
  uniformizingParameter is set, I monomial free and zero-dimensional

Example:

    LIB "tropicalNewton.lib";
    ring r = (0,t),(z,y,x),lp;
    number uniformizingParameter = t;
    export(uniformizingParameter);
    ideal I = tx2+x+1,txy2+xy+1,xyz+1;
    list TI = tropicalVarietyNewton(I);
    for (int i=1; i<=size(TI); i++)
    { print(TI[i]); }
    ==> 0,0,0
    ==> 0,-1,1
    ==> -1,1,0
    ==> -2,1,1
    kill uniformizingParameter;

User manual for Singular version 4.4.1, 2025, generated by texi2html.